# CharacterTable

class `psi4.core.``CharacterTable`

  Bases: `pybind11_builtins.pybind11_object`

  Contains the character table of the point group

  Methods Summary

  `gamma`(self, arg0) | Returns the irrep with the given index in the character table
  `order`(self) | Return the order of the point group
  `symm_operation`(self, arg0) | Return the i’th symmetry operation.

  Methods Documentation

  `gamma`(self: psi4.core.CharacterTable, arg0: int) → psi::IrreducibleRepresentation

    Returns the irrep with the given index in the character table

  `order`(self: psi4.core.CharacterTable) → int

    Return the order of the point group

  `symm_operation`(self: psi4.core.CharacterTable, arg0: int) → psi4.core.SymmetryOperation

    Return the i’th symmetry operation. 0-indexed.

  `gamma`(self: psi4.core.CharacterTable, arg0: int) → psi::IrreducibleRepresentation

    Returns the irrep with the given index in the character table

  `order`(self: psi4.core.CharacterTable) → int

    Return the order of the point group

  `symm_operation`(self: psi4.core.CharacterTable, arg0: int) → psi4.core.SymmetryOperation

    Return the i’th symmetry operation. 0-indexed.